[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.EndUpdate

Finishes an update process for the tool bar.

## Declaration

Source position: comctrls.pp line 2360

`public procedure TToolBar.EndUpdate; override;`

## Description

Calls the inherited method on entry. Updates the size and layout for Buttons when the internal update counter is 0 (zero) and tbfUpdateVisibleBarNeeded has been included in the flags for the control.

## See also

TToolBar.Buttons |  | Lists with the tool buttons on the tool bar.
TToolBar.AlignControls |  | Performs actions to align the tool bar buttons in the specified rectangle.
TToolBarFlag |  | Contains values used as status flags in the TToolBar control.
TToolWindow.EndUpdate |  | Decrements the internal counter for buffering calls to Update.
TToolWindow.BeginUpdate |  | Increments the internal counter for buffering calls to Update.